Package com.clickhouse.jdbc

# Class JdbcWrapper

java.lang.Object
com.clickhouse.jdbc.JdbcWrapper

Direct Known Subclasses:
  `AbstractResultSet`, `ClickHouseConnectionImpl`, `ClickHouseDatabaseMetaData`, `ClickHouseParameterMetaData`, `ClickHouseResultSetMetaData`, `ClickHouseStatementImpl`, `DataSourceV1`

@Deprecated public abstract class JdbcWrapper extends Object
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`JdbcWrapper()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isWrapperFor(Class<?> iface)`
Deprecated.
`<T> T`
`unwrap(Class<T> iface)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JdbcWrapper

public JdbcWrapper()
Deprecated.

## Method Details

### unwrap

public <T> T unwrap(Class<T> iface) throws SQLException
Deprecated.

Throws:
  `SQLException`

### isWrapperFor

public boolean isWrapperFor(Class<?> iface) throws SQLException
Deprecated.

Throws:
  `SQLException`